swm_WanConnectionType=true;//dispaly "Connection Type"
swm_WanConnectionType_StaticIPv6=true;
swm_WanConnectionType_DHCPv6=true;
swm_WanConnectionType_PPPoEv6=true;
swm_WanConnectionType_6to4=true;
swm_WanConnectionType_6in4=true;
swm_WanConnectionType_PPPoAv6=true;
swm_LAN_IPv6=true;//display "LAN Configuration"
swm_Autoconfig=true;//dispaly "Address Auto-configuration"
function IPv6DisplayAction()
{
if(!swm_WanConnectionType)
{
document.getElementById("connection_type").style.display="none";
document.getElementById("ipv6_static").style.display="none";
document.getElementById("ipv6_dhcp").style.display="none";
document.getElementById("ipv6_pppoe").style.display="none";
document.getElementById("ipv6_6to4").style.display="none";
document.getElementById("ipv6_6in4").style.display="none";
document.getElementById("ipv6_6rd").style.display="none";
} else {
objSelect=document.getElementById("_wt_")//selection
if(!swm_WanConnectionType_StaticIPv6)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0100")//Static IPv6
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WanConnectionType_DHCPv6)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0200")//DHCPv6
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WanConnectionType_PPPoEv6)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0300")//PPPoEv6
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WanConnectionType_6to4)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0400")//6 to 4
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WanConnectionType_6in4)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0500")//6 in 4
{
objSelect.options.remove(i);
break;
}
}
}
if(!swm_WanConnectionType_PPPoAv6)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0600")//PPPoAv6
{
objSelect.options.remove(i);
break;
}
}
}
/* if(!swm_WanConnectionType_6rd)
{
for (var i = 0; i < objSelect.options.length; i++)
{
if (objSelect.options[i].value =="0x0700")//6rd
{
objSelect.options.remove(i);
break;
}
}
}*/
}
if(!swm_LAN_IPv6)
{
document.getElementById("lanipv6").style.display="none";
}
if(!swm_Autoconfig)
{
document.getElementById("autoconfig").style.display="none";
}
}